-- *********************************************
-- * Standard SQL generation                   *
-- *-------------------------------------------*
-- * Generator date:  Apr 14 2003              *
-- * Generation date: Sun Mar 22 15:44:07 2009 *
-- *********************************************


-- Database Section
-- ________________

create database Attributs multivalus;


-- DBSpace Section
-- _______________


-- Table Section
-- _____________

create table   MOTCLE  | (
     MotCl char(1) not null,
     primary key (MotCl));

create table   MOTCLE  |_1 (
     MotCle char(1) not null,
     primary key (MotCle));

create table de|1 (
     MotCl char(1) not null,
     ID-Doc char(1) not null,
     primary key (MotCl, ID-Doc));

create table DOCUMENT |_1 (
     ID-Doc char(1) not null,
     Titre char(1) not null,
     primary key (ID-Doc));

create table DOCUMENT |_1_1 (
     ID_Doc char(1) not null,
     Titre char(1) not null,
     primary key (ID_Doc));

create table DOCUMENT |_2 (
     ID-Doc char(1) not null,
     Titre char(1) not null,
     primary key (ID-Doc));

create table DOCUMENT |_2_1 (
     ID_Doc char(1) not null,
     Titre char(1) not null,
     primary key (ID_Doc));

create table DOCUMENT| (
     ID-Doc char(1) not null,
     Titre char(1) not null,
     primary key (ID-Doc));

create table MOTCLE_DE_DOC  | (
     MotCle char(1) not null,
     ID_Doc char(1) not null,
     primary key (ID_Doc, MotCle));

create table MOTCLE_DE_DOC  |1 (
     ID-Doc char(1) not null,
     MotCl char(1) not null,
     primary key (ID-Doc, MotCl));

create table MOTCLE_DE_DOC |1_1 (
     ID_Doc char(1) not null,
     MotCle char(1) not null,
     primary key (ID_Doc, MotCle));

create table MotCl (
     ID-Doc char(1) not null,
     MotCl char(1) not null,
     primary key (ID-Doc, MotCl));


-- Constraints Section
-- ___________________

--alter table   MOTCLE  | add constraint
--     check(exists(select * from de|1
--                  where de|1.MotCl = MotCl));

--alter table   MOTCLE  |_1 add constraint
--     check(exists(select * from MOTCLE_DE_DOC  |
--                  where MOTCLE_DE_DOC  |.MotCle = MotCle));

alter table de|1 add constraint FKde|_DOC
     foreign key (ID-Doc)
     references DOCUMENT |_1;

alter table de|1 add constraint FKde|_  M
     foreign key (MotCl)
     references   MOTCLE  |;

alter table MOTCLE_DE_DOC  | add constraint FKMOT_DOC
     foreign key (ID_Doc)
     references DOCUMENT |_1_1;

alter table MOTCLE_DE_DOC  | add constraint FKMOT_  M
     foreign key (MotCle)
     references   MOTCLE  |_1;

alter table MOTCLE_DE_DOC  |1 add constraint FKde|
     foreign key (ID-Doc)
     references DOCUMENT |_2;

alter table MOTCLE_DE_DOC |1_1 add constraint FKde|_1
     foreign key (ID_Doc)
     references DOCUMENT |_2_1;

alter table MotCl add constraint FKDOC_Mot
     foreign key (ID-Doc)
     references DOCUMENT|;


-- Index Section
-- _____________

create unique index IDMOT_CLE|
     on   MOTCLE  | (MotCl);

create unique index IDMOT_CLE|
     on   MOTCLE  |_1 (MotCle);

create unique index IDde|1
     on de|1 (MotCl, ID-Doc);

create index FKde|_DOC
     on de|1 (ID-Doc);

create index FKde|_  M
     on de|1 (MotCl);

create unique index IDDOCUMENT|_1
     on DOCUMENT |_1 (ID-Doc);

create unique index IDDOCUMENT|_1_1
     on DOCUMENT |_1_1 (ID_Doc);

create unique index IDDOCUMENT|_2
     on DOCUMENT |_2 (ID-Doc);

create unique index IDDOCUMENT|_2_1
     on DOCUMENT |_2_1 (ID_Doc);

create unique index IDDOCUMENT|
     on DOCUMENT| (ID-Doc);

create unique index IDMOT_CLE_DE_DOC  |
     on MOTCLE_DE_DOC  | (ID_Doc, MotCle);

create index FKMOT_DOC
     on MOTCLE_DE_DOC  | (ID_Doc);

create index FKMOT_  M
     on MOTCLE_DE_DOC  | (MotCle);

create unique index IDMOT_CLE
     on MOTCLE_DE_DOC  |1 (ID-Doc, MotCl);

create index FKde|
     on MOTCLE_DE_DOC  |1 (ID-Doc);

create unique index IDMOT_CLE
     on MOTCLE_DE_DOC |1_1 (ID_Doc, MotCle);

create index FKde|_1
     on MOTCLE_DE_DOC |1_1 (ID_Doc);

create unique index IDMotCl
     on MotCl (ID-Doc, MotCl);

create index FKDOC_Mot
     on MotCl (ID-Doc);

